$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.150.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.150.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '06900F0945E5330F1E380ACB3CA6AAAEFDFD3514EAF707B973E6203056688038'
  checksumType = 'sha256'
  checksum64 = '06900F0945E5330F1E380ACB3CA6AAAEFDFD3514EAF707B973E6203056688038'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.150-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
